Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://rest.compute.cudo.org/v1/vms/machine-types \ --header 'Authorization: <api-key>'
{ "machineTypes": [ { "cpuModel": "<string>", "dataCenterId": "<string>", "gpuModel": "<string>", "gpuModelId": "<string>", "gpuPriceHr": { "value": "<string>" }, "ipv4PriceHr": { "value": "<string>" }, "machineType": "<string>", "maxGpuFree": 123, "maxMemoryGibFree": 123, "maxStorageGibFree": 123, "maxVcpuFree": 123, "maxVcpuPerGpu": 123, "maxVcpuPerMemoryGib": 123, "memoryGibPriceHr": { "value": "<string>" }, "minMemoryGib": 123, "minStorageGibPriceHr": { "value": "<string>" }, "minVcpu": 123, "minVcpuPerGpu": 123, "minVcpuPerMemoryGib": 123, "prices": [ { "commitmentTerm": "COMMITMENT_TERM_NONE", "gpuPriceHr": { "value": "<string>" }, "memoryGibPriceHr": { "value": "<string>" }, "vcpuPriceHr": { "value": "<string>" } } ], "renewableEnergy": true, "totalGpuFree": 123, "totalMemoryGibFree": 123, "totalStorageGibFree": 123, "totalVcpuFree": 123, "vcpuPriceHr": { "value": "<string>" } } ] }
Lists all virtual machine types available.
API key authentication. API keys should be passed using the format Bearer API_KEY.
Bearer API_KEY
Return custom prices for a specific project.
A successful response.
Show child attributes